/**
 * Copyright (C) 2020-2023 DCsunset
 * See full notice in README.md in this project
 *
 * Format output
 */
import chalk from "chalk";
const colorize = (key, color) => {
    if (!color) {
        return key;
    }
    return chalk[color](key);
};
/**
 * Print attributes.
 * Each row is formatted as `key: value`
 *
 * @param rows
 */
export function printAttrs(attrs, options) {
    const prefix = options?.prefix ?? "";
    for (const [key, value] of attrs) {
        console.log(`${prefix}${colorize(key, options?.keyColor)}: ${value}`);
    }
}
export function printCert(cert, options) {
    const prefix = options?.prefix ?? "";
    console.log(`${prefix}${colorize("Subject", options?.keyColor)}:`);
    console.log(cert.subject.split("\n")
        .map(v => `${prefix}  ${v}`)
        .join("\n"));
    console.log(`${prefix}${colorize("Fingerprint", options?.keyColor)}: ${cert.fingerprint}`);
}
//# sourceMappingURL=format.js.map